VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo:
[legend]

## Public Member Functions

| PipelineViewportStateCreateInfo (PipelineViewportStateCreateFlags flags_=PipelineViewportStateCreateFlags(), uint32_t viewportCount_=0, const Viewport *pViewports_=nullptr, uint32_t scissorCount_=0, const Rect2D *pScissors_=nullptr)
| PipelineViewportStateCreateInfo (VkPipelineViewportStateCreateInfo const &rhs)
PipelineViewportStateCreateInfo & | operator= (VkPipelineViewportStateCreateInfo const &rhs)
PipelineViewportStateCreateInfo & | setPNext (const void *pNext_)
PipelineViewportStateCreateInfo & | setFlags (PipelineViewportStateCreateFlags flags_)
PipelineViewportStateCreateInfo & | setViewportCount (uint32_t viewportCount_)
PipelineViewportStateCreateInfo & | setPViewports (const Viewport *pViewports_)
PipelineViewportStateCreateInfo & | setScissorCount (uint32_t scissorCount_)
PipelineViewportStateCreateInfo & | setPScissors (const Rect2D *pScissors_)
| operator VkPipelineViewportStateCreateInfo const & () const
| operator VkPipelineViewportStateCreateInfo & ()
bool | operator== (PipelineViewportStateCreateInfo const &rhs) const
bool | operator!= (PipelineViewportStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineViewportStateCreateFlags | flags
uint32_t | viewportCount
const Viewport * | pViewports
uint32_t | scissorCount
const Rect2D * | pScissors

## Private Attributes

StructureType | sType = StructureType::ePipelineViewportStateCreateInfo

## Detailed Description

Definition at line 10620 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineViewportStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::PipelineViewportStateCreateInfo | ( | PipelineViewportStateCreateFlags | flags_ = `PipelineViewportStateCreateFlags()`,
|  | uint32_t | viewportCount_ = `0`,
|  | const Viewport * | pViewports_ = `nullptr`,
|  | uint32_t | scissorCount_ = `0`,
|  | const Rect2D * | pScissors_ = `nullptr`
| ) |  |

inline

Definition at line 10622 of file vulkan.hpp.

: flags( flags_ )
, viewportCount( viewportCount_ )
, pViewports( pViewports_ )
, scissorCount( scissorCount_ )
, pScissors( pScissors_ )
{
}

## PipelineViewportStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::PipelineViewportStateCreateInfo | ( | VkPipelineViewportStateCreateInfo const & | rhs | ) |

inline

Definition at line 10635 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineViewportStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator VkPipelineViewportStateCreateInfo & | ( |  | ) |

inline

Definition at line 10686 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineViewportStateCreateInfo*>(this);
}

## operator VkPipelineViewportStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator VkPipelineViewportStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 10681 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineViewportStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator!= | ( | PipelineViewportStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10702 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator= | ( | VkPipelineViewportStateCreateInfo const & | rhs | ) |

inline

Definition at line 10640 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineViewportStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator== | ( | PipelineViewportStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10691 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( viewportCount == rhs.viewportCount )
&& ( pViewports == rhs.pViewports )
&& ( scissorCount == rhs.scissorCount )
&& ( pScissors == rhs.pScissors );
}

References flags, pNext, pScissors, pViewports, scissorCount, sType, and viewportCount.

Referenced by operator!=().

## setFlags()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setFlags | ( | PipelineViewportStateCreateFlags | flags_ | ) |

inline

Definition at line 10651 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10645 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPScissors()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setPScissors | ( | const Rect2D * | pScissors_ | ) |

inline

Definition at line 10675 of file vulkan.hpp.

{
pScissors = pScissors_;
return *this;
}

References pScissors.

## setPViewports()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setPViewports | ( | const Viewport * | pViewports_ | ) |

inline

Definition at line 10663 of file vulkan.hpp.

{
pViewports = pViewports_;
return *this;
}

References pViewports.

## setScissorCount()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setScissorCount | ( | uint32_t | scissorCount_ | ) |

inline

Definition at line 10669 of file vulkan.hpp.

{
scissorCount = scissorCount_;
return *this;
}

References scissorCount.

## setViewportCount()

PipelineViewportStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::setViewportCount | ( | uint32_t | viewportCount_ | ) |

inline

Definition at line 10657 of file vulkan.hpp.

{
viewportCount = viewportCount_;
return *this;
}

References viewportCount.

## Field Documentation

## flags

PipelineViewportStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::flags

Definition at line 10712 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pNext = nullptr

Definition at line 10711 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pScissors

const Rect2D* VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pScissors

Definition at line 10716 of file vulkan.hpp.

Referenced by operator==(), and setPScissors().

## pViewports

const Viewport* VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pViewports

Definition at line 10714 of file vulkan.hpp.

Referenced by operator==(), and setPViewports().

## scissorCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::scissorCount

Definition at line 10715 of file vulkan.hpp.

Referenced by operator==(), and setScissorCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::sType = StructureType::ePipelineViewportStateCreateInfo

private

Definition at line 10708 of file vulkan.hpp.

Referenced by operator==().

## viewportCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::viewportCount

Definition at line 10713 of file vulkan.hpp.

Referenced by operator==(), and setViewportCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::PipelineViewportStateCreateInfo
PipelineViewportStateCreateInfo(PipelineViewportStateCreateFlags flags_=PipelineViewportStateCreateFlags(), uint32_t viewportCount_=0, const Viewport *pViewports_=nullptr, uint32_t scissorCount_=0, const Rect2D *pScissors_=nullptr)
Definition: vulkan.hpp:10622
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::viewportCount
uint32_t viewportCount
Definition: vulkan.hpp:10713
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::scissorCount
uint32_t scissorCount
Definition: vulkan.hpp:10715
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:10708
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:10711
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::flags
PipelineViewportStateCreateFlags flags
Definition: vulkan.hpp:10712
VkPipelineViewportStateCreateInfo
Definition: vulkan_core.h:2369
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::operator==
bool operator==(PipelineViewportStateCreateInfo const &rhs) const
Definition: vulkan.hpp:10691
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pScissors
const Rect2D * pScissors
Definition: vulkan.hpp:10716
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::PipelineViewportStateCreateInfo::pViewports
const Viewport * pViewports
Definition: vulkan.hpp:10714